#LIMITAZIONE DELLA RESPONSABILITA'. 
#Il software  fornito "cos com'", senza garanzie di ogni sorta.
setwd(choose.dir(default = "", caption = "WHERE ARE MICRODATA?"))
direttorio = getwd()
fileInput = paste (direttorio, "/ISTAT_MFR_CIS_Microdati_2000_ESEMPIO_STRUTTURA_FILE.txt", sep="")
Ril_CIS_2000<- read.delim2 (fileInput,  header=T, sep="^",  quote="",  na.strings = ".")
attr(Ril_CIS_2000, "label") <- c(
"id",
"Paese di residenza dell'impresa",
"Attivit economica prevalente (Nace)",
"Appartenenza ad un gruppo industriale",
"Sede dell'impresa capogruppo",
"Costituzione dell'impresa nel periodo 1998-2000",
"Aumento del fatturato di almeno il 10% a seguito di una fusione con unaltra impresa o ramo dimpresa",
"Riduzione del fatturato di almeno il 10% a seguito della cessione o della chiusura di una parte dellimpresa",
"Ambito di mercato prevalente",
"Fatturato 1998",
"Fatturato 2000",
"Fatturato all'esportazione 1998",
"Fatturato all'esportazione 2000",
"Acquisizioni di immobilizzazioni materiali 2000",
"Numero totale degli addetti al 31.12.1998",
"Numero totale degli addetti al 31.12.2000 (classe di addetti)",
"Addetti al 31.12 con laurea o diploma universitario",
"Innovazioni tecnologiche di prodotto nel triennio 1998-2000",
"Chi ha sviluppato le innovazioni tecnologiche di prodotto",
"Quota di fatturato totale dellimpresa nel 2000 derivante da prodotti tecnologicamente nuovi o migliorati",
"Quota di fatturato totale dellimpresa nel 2000 derivante da prodotti non modificati",
"Innovazioni di prodotto originali per il mercato di riferimento",
"Quota di fatturato totale dellimpresa nel 2000 derivante da prodotti originali per il mercato di riferimento",
"Innovazioni tecnologiche di processo nel triennio 1998-2000",
"Chi ha sviluppato le innovazioni tecnologiche di processo",
"Progetti di innovazione in corso alla fine del 2000",
"Attivit di innovazione interrotte o abbandonate nel triennio 1998-2000",
"Attivit di R&S svolta allinterno dellimpresa svolta nel 2000",
"Spesa sostenuta per attivit di R&S svolta allinterno dellimpresa nel 2000",
"Acquisizione di servizi di R&S dall'esterno nel 2000",
"Spesa sostenuta per l'acquisizione di servizi di R&S nel 2000",
"acquisizione di macchinari e attrezzature innovativi nel 2000",
"Spesa sostenuta per l'acquisizione di macchinari e attrezzature innovativi nel 2000",
"Acquisizione di tecnologia non incorporata in beni strumentali nel 2000",
"Spesa sostenuta per l'acquisizione di tecnologia non incorporata in beni strumentali nel 2000",
"Attivit di formazione svolta nel 2000",
"Attivit di marketing di prodotti innovativi nel 2000",
"Attivit di design, progettazione industriale ed altre attivit preliminari alla produzione e  alla fornitura di servizi svolte nel 2000",
"Spesa sostenuta per le attivit di formazione, marketing, design nel 2000",
"Spesa totale per l'innovazione sostenuta nel 2000",
"Personale dipendente dellazienda che ha svolto attivit di R&S nel 2000",
"Modalit di svolgimento delle attivit di R&S nel triennio 1998-2000",
"Effetto delle innovazioni introdotte: aumento nel numero di prodotti offerti alla clientela",
"Effetto delle innovazioni introdotte: accesso a nuovi mercati o aumento della propria quota di mercato",
"Effetto delle innovazioni introdotte: miglioramento della qualit dei propri prodotti",
"Effetto delle innovazioni introdotte: maggiore flessibilit produttiva",
"Effetto delle innovazioni introdotte: maggiore capacit produttiva",
"Effetto delle innovazioni introdotte: riduzione del costo del lavoro per unit di prodotto",
"Effetto delle innovazioni introdotte: riduzione dei costi di materiali ed energia per unit di prodotto",
"Effetto delle innovazioni introdotte: riduzione dellimpatto ambientale o del rischio di incidenti sul lavoro",
"Effetto delle innovazioni introdotte: adeguamento a normative e standard",
"Impatto dell'innovazione sul totale degli addetti dellimpresa",
"Impatto dell'innovazione sui dirigenti e quadri superiori",
"Impatto dell'innovazione sugli impiegati e quadri intermedi",
"Impatto dell'innovazione sugli operai",
"Impatto dell'innovazione su figure professionali con contratto di collaborazione coordinata e continuativa",
"Impatto dell'innovazione sui lavoratori interinali",
"Sostegno pubblico all'innovazione da amministrazioni pubbliche regionali e locali",
"Sostegno pubblico all'innovazione da amministrazioni centrali dello stato",
"Finanziamenti dallunione europea",
"Finanziamenti dal quarto programma quadro europeo per la ricerca (1994-1998) o  dal quinto programma quadro europeo per la ricerca (1998-2002)",
"Accordi di cooperazione per l'innovazione",
"Accordi di cooperazione per l'innovazione con altre imprese del gruppo in italia",
"Accordi di cooperazione per l'innovazione con altre imprese del gruppo operanti nell'Unione Europea",
"Accordi di cooperazione per l'innovazione con altre imprese del gruppo operanti nei paesi candidati",
"Accordi di cooperazione per l'innovazione con altre imprese del gruppo operanti in USA",
"Accordi di cooperazione per l'innovazione con altre imprese del gruppo operanti in Giappone",
"Accordi di cooperazione per l'innovazione con altre imprese del gruppo operanti in altri paesi",
"Accordi di cooperazione per l'innovazione con clienti in Italia",
"Accordi di cooperazione per l'innovazione con clienti operanti nell'Unione Europea",
"Accordi di cooperazione per l'innovazione con clienti operanti nei paesi candidati",
"Accordi di cooperazione per l'innovazione con clienti operanti in USA",
"Accordi di cooperazione per l'innovazione con clienti operanti in Giappone",
"Accordi di cooperazione per l'innovazione con clienti operanti in altri paesi",
"Accordi di cooperazione per l'innovazione con imprese concorrenti in Italia",
"Accordi di cooperazione per l'innovazione con imprese concorrenti operanti nell'Unione Europea",
"Accordi di cooperazione per l'innovazione con imprese concorrenti operanti nei paesi candidati",
"Accordi di cooperazione per l'innovazione con imprese concorrenti operanti in USA",
"Accordi di cooperazione per l'innovazione con imprese concorrenti operanti in Giappone",
"Accordi di cooperazione per l'innovazione con imprese concorrenti operanti in altri paesi",
"Accordi di cooperazione per l'innovazione con fornitori in Italia",
"Accordi di cooperazione per l'innovazione con fornitori operanti nell'Unione Europea",
"Accordi di cooperazione per l'innovazione con fornitori operanti nei paesi candidati",
"Accordi di cooperazione per l'innovazione con fornitori operanti in USA",
"Accordi di cooperazione per l'innovazione con fornitori operanti in Giappone",
"Accordi di cooperazione per l'innovazione con fornitori operanti in altri paesi",
"Accordi di cooperazione per l'innovazione con societ di consulenza in Italia",
"Accordi di cooperazione per l'innovazione con societ di consulenza operanti nell'Unione Europea",
"Accordi di cooperazione per l'innovazione con societ di consulenza operanti nei paesi candidati",
"Accordi di cooperazione per l'innovazione con societ di consulenza operanti in USA",
"Accordi di cooperazione per l'innovazione con societ di consulenza operanti in Giappone",
"Accordi di cooperazione per l'innovazione con societ di consulenza operanti in altri paesi",
"Accordi di cooperazione per l'innovazione con universit in Italia",
"Accordi di cooperazione per l'innovazione con universit operanti nell'Unione Europea",
"Accordi di cooperazione per l'innovazione con universit operanti nei paesi candidati",
"Accordi di cooperazione per l'innovazione con universit operanti in USA",
"Accordi di cooperazione per l'innovazione con universit operanti in Giappone",
"Accordi di cooperazione per l'innovazione con universit operanti in altri paesi",
"Accordi di cooperazione per l'innovazione con istituti di ricerca in Italia",
"Accordi di cooperazione per l'innovazione con istituti di ricerca operanti nell'Unione Europea",
"Accordi di cooperazione per l'innovazione con istituti di ricerca operanti nei paesi candidati",
"Accordi di cooperazione per l'innovazione con istituti di ricerca operanti in USA",
"Accordi di cooperazione per l'innovazione con istituti di ricerca operanti in Giappone",
"Accordi di cooperazione per l'innovazione con istituti di ricerca operanti in altri paesi",
"Fonti di informazione dell'innovazione: fonti interne",
"Fonti di informazione dell'innovazione: altre imprese del gruppo",
"Fonti di informazione dell'innovazione: fornitori",
"Fonti di informazione dell'innovazione: clienti",
"Fonti di informazione dell'innovazione: concorrenti",
"Fonti di informazione dell'innovazione: universit",
"Fonti di informazione dell'innovazione: istituti di ricerca pubblici e privati",
"Fonti di informazione dell'innovazione: conferenze",
"Fonti di informazione dell'innovazione: mostre, fiere",
"Fattori di ostacolo all'innovazione: significativi ritardi",
"Fattori di ostacolo all'innovazione: difficolt che ne hanno impedito l'avvio",
"Fattori di ostacolo all'innovazione: altro",
"Fattori di ostacolo all'innovazione: innovazioni gi introdotte",
"Fattori di ostacolo all'innovazione: il mercato non richiede innovazioni",
"Fattori di ostacolo all'innovazione: altro",
"Fattori di ostacolo all'innovazione: percezione di un rischio economico eccessivo",
"Fattori di ostacolo all'innovazione: costi di innovazione troppo elevati",
"Fattori di ostacolo all'innovazione: mancanza di fonti di finanziamento",
"Fattori di ostacolo all'innovazione: rigidit organizzative nellimpresa",
"Fattori di ostacolo all'innovazione: mancanza di personale qualificato",
"Fattori di ostacolo all'innovazione: mancanza di informazioni sulle tecnologie",
"Fattori di ostacolo all'innovazione: mancanza di informazioni sul mercato",
"Fattori di ostacolo all'innovazione: insufficiente flessibilit di normative e standard",
"Fattori di ostacolo all'innovazione: scarso interesse della clientela per nuovi prodotti o servizi",
"Domande di brevetto depositate nel triennio 1998-2000",
"Brevetti posseduti nel triennio 1998-2001",
"Metodi di protezione della propriet intellettuale: registrazione di progetti industriali",
"Metodi di protezione della propriet intellettuale: marchi di fabbrica",
"Metodi di protezione della propriet intellettuale: diritti d'autore",
"Metodi di protezione della propriet intellettuale: adozione di procedure di segretezza o riservatezza",
"Metodi di protezione della propriet intellettuale: aumento di complessit nella progettazione",
"Metodi di protezione della propriet intellettuale: incremento delle competenze rispetto ai concorrenti",
"Altre attivit di innovazione: nuove strategie di impresa",
"Altre attivit di innovazione: innovazioni nel management aziendale",
"Altre attivit di innovazione: innovazioni organizzative",
"Altre attivit di innovazione: innovazioni nel marketing",
"Altre attivit di innovazione: miglioramenti estetici dei prodotti",
"Strato di campionamento",
"Strato finale",
"Coefficiente di riporto all'universo senza correzione NRS",
"Coefficiente di riporto all'universo utilizzato per la produzione delle stime (con correzione NRS)")

Nace_Fact <- factor(Ril_CIS_2000$Nace, 
levels=c("10", 
"15", 
"17", 
"18", 
"19", 
"20", 
"21", 
"22", 
"23", 
"24", 
"25", 
"26", 
"27", 
"28", 
"29", 
"30", 
"31", 
"32", 
"33", 
"34", 
"35", 
"36", 
"37", 
"40", 
"50", 
"51", 
"52", 
"55", 
"60", 
"61", 
"62", 
"63", 
"64", 
"65", 
"66", 
"67", 
"70", 
"71", 
"72", 
"73", 
"74"), 
labels=c("Industrie estrattive (NACE 10 - NACE 14)", 
"Industrie alimentari e del tabacco (NACE 15 - NACE 16)", 
"Industrie tessili", 
"Industrie del vestiario", 
"Industrie del cuoio e calzature", 
"Industrie del legno (escluso mobili)", 
"Industria della carta e del cartone", 
"Stampa, editoria", 
"Raffinerie di petrolio e coke", 
"Industrie chimiche", 
"Gomma e plastica", 
"Prodotti da minerali non metalliferi", 
"Produzione metalli e leghe", 
"Fabbricazione prodotti in metallo", 
"Fabbricazione macchine apparecchi meccanici", 
"Fabbricazione macchine per ufficio", 
"Fabbricazione macchine e apparecchi elettrici", 
"Fabbricazione apparecchi radio TV e telecomunicazioni", 
"Fabbricazione apparecchi di precisione, ottici, orologeria", 
"Autoveicoli, motori, carrozzeria, rimorchi", 
"Fabbricazione altri mezzi di trasporto", 
"Altre industrie manifatturiere", 
"Recupero e preparazione per il riciclaggio", 
"Prod., distrib. elettr., gas, acqua e Raccolta, depurazione e distribuzione d'acqua (NACE 40 - NACE 41)", 
"Commercio di autoveicoli", 
"Commercio all'ingrosso", 
"Commercio al dettaglio", 
"Alberghi e ristoranti", 
"Trasporti terrestri", 
"Trasporti marittimi", 
"Trasporti aerei", 
"Attivita' di supporto ed ausiliarie dei trasporti", 
"Poste e telecomunicazioni", 
"Intermediazione monetaria e finanziaria", 
"Assicurazioni", 
"Attivita' ausiliarie dell'intermediazione finanziaria", 
"Attivit immobiliari", 
"Noleggio di macchinari e attrezzature", 
"Informatica ed attivit connesse", 
"Ricerca e sviluppo", 
"Altre attivita' professionali ed imprenditoriali")) 


Gp_Fact <- factor(Ril_CIS_2000$Gp, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


Ho_Fact <- factor(Ril_CIS_2000$Ho, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing oppure non applicabile", 
"L'impresa non apaprtiene a un gruppo", 
"Italia", 
"Europa + Paesi Candidati + EFTA (Austria, Belgium, Germany, Denmark, Spain, Finland, France, United Kingdom, Greece, Ireland, Iceland, Liechtenstein, Luxembourg, Malta, The Netherlands, Norway, Portugal, Sweeden, Slovenia, San Marino)", 
"resto del mondo (Argentina, Australia, Bermude, Canada, Chile, China, Israel, Iran, Japan, Kuwait, New Caledonia, Saudi Arabia, Singapore, El Salvador, Turkey, Taiwan, United States of America, Virgin Islands, South Africa, Swaziland, Holy See (Vatican Cit"), exclude=NULL) 


Est_Fact <- factor(Ril_CIS_2000$Est, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


TurnInc_Fact <- factor(Ril_CIS_2000$TurnInc, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


TurnDec_Fact <- factor(Ril_CIS_2000$TurnDec, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


SigMar_Fact <- factor(Ril_CIS_2000$SigMar, 
levels=c(NA, 
"1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7"), 
labels=c("missing oppure non applicabile", 
"Provincia", 
"Inter-provinciale", 
"Regionale", 
"Inter-regionale", 
"Nazionale", 
"UE", 
"Extra-UE"), exclude=NULL) 


Emp_Fact <- factor(Ril_CIS_2000$Emp, 
levels=c("1", 
"2", 
"3", 
"2_3", 
"1_2_3"), 
labels=c("0-49 addetti;", 
"50-249 addetti;", 
"piu' di 250 addetti", 
"soltanto per NACE  20, 23, 30, 67 e  73, la categoria 2 e la categoria 3 sono state accorpate in una nuova categoria 2_3", 
"soltanto per NACE 37, 62 e 64 tutte le categorie sono state accorpate in una sola categoria  1_2_3")) 


InPdt_Fact <- factor(Ril_CIS_2000$InPdt, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


InPdtW_Fact <- factor(Ril_CIS_2000$InPdtW, 
levels=c(NA, 
"1", 
"2", 
"3"), 
labels=c("missing oppure non applicabile", 
"L'impresa stessa o imprese dello stesso gruppo", 
"in collaborazione con altre imprese o istituti di ricerca", 
"altre imprese o istituti di ricerca"), exclude=NULL) 


InMar_Fact <- factor(Ril_CIS_2000$InMar, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


InPcs_Fact <- factor(Ril_CIS_2000$InPcs, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


InPcsW_Fact <- factor(Ril_CIS_2000$InPcsW, 
levels=c(NA, 
"1", 
"2", 
"3"), 
labels=c("missing oppure non applicabile", 
"L'impresa stessa o imprese dello stesso gruppo", 
"in collaborazione con altre imprese o istituti di ricerca", 
"altre imprese o istituti di ricerca"), exclude=NULL) 


InOn_Fact <- factor(Ril_CIS_2000$InOn, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


InAb_Fact <- factor(Ril_CIS_2000$InAb, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


RRdIn_Fact <- factor(Ril_CIS_2000$RRdIn, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


RRdEx_Fact <- factor(Ril_CIS_2000$RRdEx, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


RMac_Fact <- factor(Ril_CIS_2000$RMac, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


ROek_Fact <- factor(Ril_CIS_2000$ROek, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


RTr_Fact <- factor(Ril_CIS_2000$RTr, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


RMar_Fact <- factor(Ril_CIS_2000$RMar, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


RPre_Fact <- factor(Ril_CIS_2000$RPre, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


RdEng_Fact <- factor(Ril_CIS_2000$RdEng, 
levels=c(NA, 
"1", 
"2"), 
labels=c("L'impresa non svolge attivita' di R&S", 
"Sistematica", 
"Occasionale"), exclude=NULL) 


ERange_Fact <- factor(Ril_CIS_2000$ERange, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing oppure non applicabile", 
"Nullo", 
"Basso", 
"Medio", 
"Alto"), exclude=NULL) 


EMar_Fact <- factor(Ril_CIS_2000$EMar, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing oppure non applicabile", 
"Nullo", 
"Basso", 
"Medio", 
"Alto"), exclude=NULL) 


EQua_Fact <- factor(Ril_CIS_2000$EQua, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing oppure non applicabile", 
"Nullo", 
"Basso", 
"Medio", 
"Alto"), exclude=NULL) 


EFlex_Fact <- factor(Ril_CIS_2000$EFlex, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing oppure non applicabile", 
"Nullo", 
"Basso", 
"Medio", 
"Alto"), exclude=NULL) 


ECap_Fact <- factor(Ril_CIS_2000$ECap, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing oppure non applicabile", 
"Nullo", 
"Basso", 
"Medio", 
"Alto"), exclude=NULL) 


ELbr_Fact <- factor(Ril_CIS_2000$ELbr, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing oppure non applicabile", 
"Nullo", 
"Basso", 
"Medio", 
"Alto"), exclude=NULL) 


EMat_Fact <- factor(Ril_CIS_2000$EMat, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing oppure non applicabile", 
"Nullo", 
"Basso", 
"Medio", 
"Alto"), exclude=NULL) 


EEnv_Fact <- factor(Ril_CIS_2000$EEnv, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing oppure non applicabile", 
"Nullo", 
"Basso", 
"Medio", 
"Alto"), exclude=NULL) 


EStd_Fact <- factor(Ril_CIS_2000$EStd, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing oppure non applicabile", 
"Nullo", 
"Basso", 
"Medio", 
"Alto"), exclude=NULL) 


FunLoc_Fact <- factor(Ril_CIS_2000$FunLoc, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


FunGmt_Fact <- factor(Ril_CIS_2000$FunGmt, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


FunEU_Fact <- factor(Ril_CIS_2000$FunEU, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


FunRtd_Fact <- factor(Ril_CIS_2000$FunRtd, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


Co_Fact <- factor(Ril_CIS_2000$Co, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


Co11_Fact <- factor(Ril_CIS_2000$Co11, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


Co12_Fact <- factor(Ril_CIS_2000$Co12, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


Co13_Fact <- factor(Ril_CIS_2000$Co13, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


Co14_Fact <- factor(Ril_CIS_2000$Co14, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


Co15_Fact <- factor(Ril_CIS_2000$Co15, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


Co16_Fact <- factor(Ril_CIS_2000$Co16, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


Co21_Fact <- factor(Ril_CIS_2000$Co21, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


Co22_Fact <- factor(Ril_CIS_2000$Co22, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


Co23_Fact <- factor(Ril_CIS_2000$Co23, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


Co24_Fact <- factor(Ril_CIS_2000$Co24, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


Co25_Fact <- factor(Ril_CIS_2000$Co25, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


Co26_Fact <- factor(Ril_CIS_2000$Co26, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


Co31_Fact <- factor(Ril_CIS_2000$Co31, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


Co32_Fact <- factor(Ril_CIS_2000$Co32, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


Co33_Fact <- factor(Ril_CIS_2000$Co33, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


Co34_Fact <- factor(Ril_CIS_2000$Co34, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


Co35_Fact <- factor(Ril_CIS_2000$Co35, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


Co36_Fact <- factor(Ril_CIS_2000$Co36, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


Co41_Fact <- factor(Ril_CIS_2000$Co41, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


Co42_Fact <- factor(Ril_CIS_2000$Co42, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


Co43_Fact <- factor(Ril_CIS_2000$Co43, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


Co44_Fact <- factor(Ril_CIS_2000$Co44, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


Co45_Fact <- factor(Ril_CIS_2000$Co45, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


Co46_Fact <- factor(Ril_CIS_2000$Co46, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


Co51_Fact <- factor(Ril_CIS_2000$Co51, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


Co52_Fact <- factor(Ril_CIS_2000$Co52, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


Co53_Fact <- factor(Ril_CIS_2000$Co53, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


Co54_Fact <- factor(Ril_CIS_2000$Co54, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


Co55_Fact <- factor(Ril_CIS_2000$Co55, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


Co56_Fact <- factor(Ril_CIS_2000$Co56, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


Co61_Fact <- factor(Ril_CIS_2000$Co61, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


Co62_Fact <- factor(Ril_CIS_2000$Co62, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


Co63_Fact <- factor(Ril_CIS_2000$Co63, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


Co64_Fact <- factor(Ril_CIS_2000$Co64, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


Co65_Fact <- factor(Ril_CIS_2000$Co65, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


Co66_Fact <- factor(Ril_CIS_2000$Co66, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


Co71_Fact <- factor(Ril_CIS_2000$Co71, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


Co72_Fact <- factor(Ril_CIS_2000$Co72, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


Co73_Fact <- factor(Ril_CIS_2000$Co73, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


Co74_Fact <- factor(Ril_CIS_2000$Co74, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


Co75_Fact <- factor(Ril_CIS_2000$Co75, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


Co76_Fact <- factor(Ril_CIS_2000$Co76, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


Co81_Fact <- factor(Ril_CIS_2000$Co81, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


Co82_Fact <- factor(Ril_CIS_2000$Co82, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


Co83_Fact <- factor(Ril_CIS_2000$Co83, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


Co84_Fact <- factor(Ril_CIS_2000$Co84, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


Co85_Fact <- factor(Ril_CIS_2000$Co85, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


Co86_Fact <- factor(Ril_CIS_2000$Co86, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


SEnt_Fact <- factor(Ril_CIS_2000$SEnt, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing oppure non applicabile", 
"Nullo", 
"Basso", 
"Medio", 
"Alto"), exclude=NULL) 


SGrp_Fact <- factor(Ril_CIS_2000$SGrp, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing oppure non applicabile", 
"Nullo", 
"Basso", 
"Medio", 
"Alto"), exclude=NULL) 


SSup_Fact <- factor(Ril_CIS_2000$SSup, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing oppure non applicabile", 
"Nullo", 
"Basso", 
"Medio", 
"Alto"), exclude=NULL) 


SCli_Fact <- factor(Ril_CIS_2000$SCli, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing oppure non applicabile", 
"Nullo", 
"Basso", 
"Medio", 
"Alto"), exclude=NULL) 


SCom_Fact <- factor(Ril_CIS_2000$SCom, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing oppure non applicabile", 
"Nullo", 
"Basso", 
"Medio", 
"Alto"), exclude=NULL) 


SUni_Fact <- factor(Ril_CIS_2000$SUni, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing oppure non applicabile", 
"Nullo", 
"Basso", 
"Medio", 
"Alto"), exclude=NULL) 


SGmt_Fact <- factor(Ril_CIS_2000$SGmt, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing oppure non applicabile", 
"Nullo", 
"Basso", 
"Medio", 
"Alto"), exclude=NULL) 


SPro_Fact <- factor(Ril_CIS_2000$SPro, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing oppure non applicabile", 
"Nullo", 
"Basso", 
"Medio", 
"Alto"), exclude=NULL) 


SExb_Fact <- factor(Ril_CIS_2000$SExb, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing oppure non applicabile", 
"Nullo", 
"Basso", 
"Medio", 
"Alto"), exclude=NULL) 


Hdlay_Fact <- factor(Ril_CIS_2000$Hdlay, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing oppure non applicabile", 
"Nullo", 
"Basso", 
"Medio", 
"Alto"), exclude=NULL) 


HStar_Fact <- factor(Ril_CIS_2000$HStar, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing oppure non applicabile", 
"Nullo", 
"Basso", 
"Medio", 
"Alto"), exclude=NULL) 


HBur_Fact <- factor(Ril_CIS_2000$HBur, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing oppure non applicabile", 
"Nullo", 
"Basso", 
"Medio", 
"Alto"), exclude=NULL) 


HPrior_Fact <- factor(Ril_CIS_2000$HPrior, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing oppure non applicabile", 
"Nullo", 
"Basso", 
"Medio", 
"Alto"), exclude=NULL) 


HMar_Fact <- factor(Ril_CIS_2000$HMar, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing oppure non applicabile", 
"Nullo", 
"Basso", 
"Medio", 
"Alto"), exclude=NULL) 


HImp_Fact <- factor(Ril_CIS_2000$HImp, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing oppure non applicabile", 
"Nullo", 
"Basso", 
"Medio", 
"Alto"), exclude=NULL) 


HEco_Fact <- factor(Ril_CIS_2000$HEco, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing oppure non applicabile", 
"Nullo", 
"Basso", 
"Medio", 
"Alto"), exclude=NULL) 


HCos_Fact <- factor(Ril_CIS_2000$HCos, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing oppure non applicabile", 
"Nullo", 
"Basso", 
"Medio", 
"Alto"), exclude=NULL) 


HFin_Fact <- factor(Ril_CIS_2000$HFin, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing oppure non applicabile", 
"Nullo", 
"Basso", 
"Medio", 
"Alto"), exclude=NULL) 


HOrg_Fact <- factor(Ril_CIS_2000$HOrg, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing oppure non applicabile", 
"Nullo", 
"Basso", 
"Medio", 
"Alto"), exclude=NULL) 


HPer_Fact <- factor(Ril_CIS_2000$HPer, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing oppure non applicabile", 
"Nullo", 
"Basso", 
"Medio", 
"Alto"), exclude=NULL) 


HTec_Fact <- factor(Ril_CIS_2000$HTec, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing oppure non applicabile", 
"Nullo", 
"Basso", 
"Medio", 
"Alto"), exclude=NULL) 


HInf_Fact <- factor(Ril_CIS_2000$HInf, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing oppure non applicabile", 
"Nullo", 
"Basso", 
"Medio", 
"Alto"), exclude=NULL) 


HFlex_Fact <- factor(Ril_CIS_2000$HFlex, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing oppure non applicabile", 
"Nullo", 
"Basso", 
"Medio", 
"Alto"), exclude=NULL) 


HCus_Fact <- factor(Ril_CIS_2000$HCus, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing oppure non applicabile", 
"Nullo", 
"Basso", 
"Medio", 
"Alto"), exclude=NULL) 


PaAp_Fact <- factor(Ril_CIS_2000$PaAp, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


PaVal_Fact <- factor(Ril_CIS_2000$PaVal, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


ProReg_Fact <- factor(Ril_CIS_2000$ProReg, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


ProTm_Fact <- factor(Ril_CIS_2000$ProTm, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


ProCp_Fact <- factor(Ril_CIS_2000$ProCp, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


ProSec_Fact <- factor(Ril_CIS_2000$ProSec, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


ProDes_Fact <- factor(Ril_CIS_2000$ProDes, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


ProTim_Fact <- factor(Ril_CIS_2000$ProTim, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


ActStr_Fact <- factor(Ril_CIS_2000$ActStr, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


ActMan_Fact <- factor(Ril_CIS_2000$ActMan, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


ActOrg_Fact <- factor(Ril_CIS_2000$ActOrg, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


ActMar_Fact <- factor(Ril_CIS_2000$ActMar, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 


ActAes_Fact <- factor(Ril_CIS_2000$ActAes, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing oppure non applicabile", 
"No", 
"Si"), exclude=NULL) 

save.image (file="Ril_CIS_2000.RData")
