/*  I valori delle label nelle variabili categoriche sono commentati a causa della presenza di codici non esclusivamente numerici. Comunque sono completamente documentati.  */
clear all
infile  using  PGM_2000_IT_DELIMITED.dct, clear
/*
label define  nace_cl2 10   "Industrie estrattive (NACE 10 - NACE 14)" 15   "Industrie alimentari e del tabacco (NACE 15 - NACE 16)" 17   "Industrie tessili" 18   "Industrie del vestiario" 19   "Industrie del cuoio e calzature" 20   "Industrie del legno (escluso mobili)" 21   "Industria della carta e del cartone" 22   "Stampa, editoria" 23   "Raffinerie di petrolio e coke" 24   "Industrie chimiche" 25   "Gomma e plastica" 26   "Prodotti da minerali non metalliferi" 27   "Produzione metalli e leghe" 28   "Fabbricazione prodotti in metallo" 29   "Fabbricazione macchine apparecchi meccanici" 30   "Fabbricazione macchine per ufficio" 31   "Fabbricazione macchine e apparecchi elettrici" 32   "Fabbricazione apparecchi radio TV e telecomunicazioni" 33   "Fabbricazione apparecchi di precisione, ottici, orologeria" 34   "Autoveicoli, motori, carrozzeria, rimorchi" 35   "Fabbricazione altri mezzi di trasporto" 36   "Altre industrie manifatturiere" 37   "Recupero e preparazione per il riciclaggio" 40   "Prod., distrib. elettr., gas, acqua e Raccolta, depurazione e distribuzione d'acqua (NACE 40 - NACE 41)" 50   "Commercio di autoveicoli" 51   "Commercio all'ingrosso" 52   "Commercio al dettaglio" 55   "Alberghi e ristoranti" 60   "Trasporti terrestri" 61   "Trasporti marittimi" 62   "Trasporti aerei" 63   "Attivita' di supporto ed ausiliarie dei trasporti" 64   "Poste e telecomunicazioni" 65   "Intermediazione monetaria e finanziaria" 66   "Assicurazioni" 67   "Attivita' ausiliarie dell'intermediazione finanziaria" 70   "Attivit immobiliari" 71   "Noleggio di macchinari e attrezzature" 72   "Informatica ed attivit connesse" 73   "Ricerca e sviluppo" 74   "Altre attivita' professionali ed imprenditoriali"  
label define  gp_cl3 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  ho_cl4 .   "missing oppure non applicabile" 0   "L'impresa non apaprtiene a un gruppo" 1   "Italia" 2   "Europa + Paesi Candidati + EFTA (Austria, Belgium, Germany, Denmark, Spain, Finland, France, United Kingdom, Greece, Ireland, Iceland, Liechtenstein, Luxembourg, Malta, The Netherlands, Norway, Portug" 3   "resto del mondo (Argentina, Australia, Bermude, Canada, Chile, China, Israel, Iran, Japan, Kuwait, New Caledonia, Saudi Arabia, Singapore, El Salvador, Turkey, Taiwan, United States of America, Virgin"  
label define  est_cl5 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  turninc_cl6 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  turndec_cl7 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  sigmar_cl8 .   "missing oppure non applicabile" 1   "Provincia" 2   "Inter-provinciale" 3   "Regionale" 4   "Inter-regionale" 5   "Nazionale" 6   "UE" 7   "Extra-UE"  
label define  emp_cl15 1   "0-49 addetti;" 2   "50-249 addetti;" 3   "piu' di 250 addetti" 2_3   "soltanto per NACE  20, 23, 30, 67 e  73, la categoria 2 e la categoria 3 sono state accorpate in una nuova categoria 2_3" 1_2_3   "soltanto per NACE 37, 62 e 64 tutte le categorie sono state accorpate in una sola categoria  1_2_3"  
label define  inpdt_cl17 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  inpdtw_cl18 .   "missing oppure non applicabile" 1   "L'impresa stessa o imprese dello stesso gruppo" 2   "in collaborazione con altre imprese o istituti di ricerca" 3   "altre imprese o istituti di ricerca"  
label define  inmar_cl21 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  inpcs_cl23 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  inpcsw_cl24 .   "missing oppure non applicabile" 1   "L'impresa stessa o imprese dello stesso gruppo" 2   "in collaborazione con altre imprese o istituti di ricerca" 3   "altre imprese o istituti di ricerca"  
label define  inon_cl25 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  inab_cl26 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  rrdin_cl27 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  rrdex_cl29 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  rmac_cl31 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  roek_cl33 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  rtr_cl35 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  rmar_cl36 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  rpre_cl37 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  rdeng_cl41 .   "L'impresa non svolge attivita' di R&S" 1   "Sistematica" 2   "Occasionale"  
label define  erange_cl42 .   "missing oppure non applicabile" 0   "Nullo" 1   "Basso" 2   "Medio" 3   "Alto"  
label define  emar_cl43 .   "missing oppure non applicabile" 0   "Nullo" 1   "Basso" 2   "Medio" 3   "Alto"  
label define  equa_cl44 .   "missing oppure non applicabile" 0   "Nullo" 1   "Basso" 2   "Medio" 3   "Alto"  
label define  eflex_cl45 .   "missing oppure non applicabile" 0   "Nullo" 1   "Basso" 2   "Medio" 3   "Alto"  
label define  ecap_cl46 .   "missing oppure non applicabile" 0   "Nullo" 1   "Basso" 2   "Medio" 3   "Alto"  
label define  elbr_cl47 .   "missing oppure non applicabile" 0   "Nullo" 1   "Basso" 2   "Medio" 3   "Alto"  
label define  emat_cl48 .   "missing oppure non applicabile" 0   "Nullo" 1   "Basso" 2   "Medio" 3   "Alto"  
label define  eenv_cl49 .   "missing oppure non applicabile" 0   "Nullo" 1   "Basso" 2   "Medio" 3   "Alto"  
label define  estd_cl50 .   "missing oppure non applicabile" 0   "Nullo" 1   "Basso" 2   "Medio" 3   "Alto"  
label define  funloc_cl51 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  fungmt_cl52 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  funeu_cl53 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  funrtd_cl54 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  co_cl55 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  co11_cl56 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  co12_cl57 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  co13_cl58 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  co14_cl59 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  co15_cl60 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  co16_cl61 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  co21_cl62 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  co22_cl63 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  co23_cl64 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  co24_cl65 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  co25_cl66 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  co26_cl67 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  co31_cl68 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  co32_cl69 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  co33_cl70 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  co34_cl71 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  co35_cl72 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  co36_cl73 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  co41_cl74 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  co42_cl75 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  co43_cl76 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  co44_cl77 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  co45_cl78 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  co46_cl79 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  co51_cl80 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  co52_cl81 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  co53_cl82 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  co54_cl83 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  co55_cl84 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  co56_cl85 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  co61_cl86 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  co62_cl87 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  co63_cl88 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  co64_cl89 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  co65_cl90 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  co66_cl91 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  co71_cl92 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  co72_cl93 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  co73_cl94 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  co74_cl95 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  co75_cl96 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  co76_cl97 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  co81_cl98 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  co82_cl99 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  co83_cl100 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  co84_cl101 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  co85_cl102 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  co86_cl103 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  sent_cl104 .   "missing oppure non applicabile" 0   "Nullo" 1   "Basso" 2   "Medio" 3   "Alto"  
label define  sgrp_cl105 .   "missing oppure non applicabile" 0   "Nullo" 1   "Basso" 2   "Medio" 3   "Alto"  
label define  ssup_cl106 .   "missing oppure non applicabile" 0   "Nullo" 1   "Basso" 2   "Medio" 3   "Alto"  
label define  scli_cl107 .   "missing oppure non applicabile" 0   "Nullo" 1   "Basso" 2   "Medio" 3   "Alto"  
label define  scom_cl108 .   "missing oppure non applicabile" 0   "Nullo" 1   "Basso" 2   "Medio" 3   "Alto"  
label define  suni_cl109 .   "missing oppure non applicabile" 0   "Nullo" 1   "Basso" 2   "Medio" 3   "Alto"  
label define  sgmt_cl110 .   "missing oppure non applicabile" 0   "Nullo" 1   "Basso" 2   "Medio" 3   "Alto"  
label define  spro_cl111 .   "missing oppure non applicabile" 0   "Nullo" 1   "Basso" 2   "Medio" 3   "Alto"  
label define  sexb_cl112 .   "missing oppure non applicabile" 0   "Nullo" 1   "Basso" 2   "Medio" 3   "Alto"  
label define  hdlay_cl113 .   "missing oppure non applicabile" 0   "Nullo" 1   "Basso" 2   "Medio" 3   "Alto"  
label define  hstar_cl114 .   "missing oppure non applicabile" 0   "Nullo" 1   "Basso" 2   "Medio" 3   "Alto"  
label define  hbur_cl115 .   "missing oppure non applicabile" 0   "Nullo" 1   "Basso" 2   "Medio" 3   "Alto"  
label define  hprior_cl116 .   "missing oppure non applicabile" 0   "Nullo" 1   "Basso" 2   "Medio" 3   "Alto"  
label define  hmar_cl117 .   "missing oppure non applicabile" 0   "Nullo" 1   "Basso" 2   "Medio" 3   "Alto"  
label define  himp_cl118 .   "missing oppure non applicabile" 0   "Nullo" 1   "Basso" 2   "Medio" 3   "Alto"  
label define  heco_cl119 .   "missing oppure non applicabile" 0   "Nullo" 1   "Basso" 2   "Medio" 3   "Alto"  
label define  hcos_cl120 .   "missing oppure non applicabile" 0   "Nullo" 1   "Basso" 2   "Medio" 3   "Alto"  
label define  hfin_cl121 .   "missing oppure non applicabile" 0   "Nullo" 1   "Basso" 2   "Medio" 3   "Alto"  
label define  horg_cl122 .   "missing oppure non applicabile" 0   "Nullo" 1   "Basso" 2   "Medio" 3   "Alto"  
label define  hper_cl123 .   "missing oppure non applicabile" 0   "Nullo" 1   "Basso" 2   "Medio" 3   "Alto"  
label define  htec_cl124 .   "missing oppure non applicabile" 0   "Nullo" 1   "Basso" 2   "Medio" 3   "Alto"  
label define  hinf_cl125 .   "missing oppure non applicabile" 0   "Nullo" 1   "Basso" 2   "Medio" 3   "Alto"  
label define  hflex_cl126 .   "missing oppure non applicabile" 0   "Nullo" 1   "Basso" 2   "Medio" 3   "Alto"  
label define  hcus_cl127 .   "missing oppure non applicabile" 0   "Nullo" 1   "Basso" 2   "Medio" 3   "Alto"  
label define  paap_cl128 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  paval_cl129 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  proreg_cl130 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  protm_cl131 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  procp_cl132 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  prosec_cl133 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  prodes_cl134 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  protim_cl135 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  actstr_cl136 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  actman_cl137 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  actorg_cl138 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  actmar_cl139 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label define  actaes_cl140 .   "missing oppure non applicabile" 0   "No" 1   "Si"  
label values  nace nace_cl2
label values  gp gp_cl3
label values  ho ho_cl4
label values  est est_cl5
label values  turninc turninc_cl6
label values  turndec turndec_cl7
label values  sigmar sigmar_cl8
label values  emp emp_cl15
label values  inpdt inpdt_cl17
label values  inpdtw inpdtw_cl18
label values  inmar inmar_cl21
label values  inpcs inpcs_cl23
label values  inpcsw inpcsw_cl24
label values  inon inon_cl25
label values  inab inab_cl26
label values  rrdin rrdin_cl27
label values  rrdex rrdex_cl29
label values  rmac rmac_cl31
label values  roek roek_cl33
label values  rtr rtr_cl35
label values  rmar rmar_cl36
label values  rpre rpre_cl37
label values  rdeng rdeng_cl41
label values  erange erange_cl42
label values  emar emar_cl43
label values  equa equa_cl44
label values  eflex eflex_cl45
label values  ecap ecap_cl46
label values  elbr elbr_cl47
label values  emat emat_cl48
label values  eenv eenv_cl49
label values  estd estd_cl50
label values  funloc funloc_cl51
label values  fungmt fungmt_cl52
label values  funeu funeu_cl53
label values  funrtd funrtd_cl54
label values  co co_cl55
label values  co11 co11_cl56
label values  co12 co12_cl57
label values  co13 co13_cl58
label values  co14 co14_cl59
label values  co15 co15_cl60
label values  co16 co16_cl61
label values  co21 co21_cl62
label values  co22 co22_cl63
label values  co23 co23_cl64
label values  co24 co24_cl65
label values  co25 co25_cl66
label values  co26 co26_cl67
label values  co31 co31_cl68
label values  co32 co32_cl69
label values  co33 co33_cl70
label values  co34 co34_cl71
label values  co35 co35_cl72
label values  co36 co36_cl73
label values  co41 co41_cl74
label values  co42 co42_cl75
label values  co43 co43_cl76
label values  co44 co44_cl77
label values  co45 co45_cl78
label values  co46 co46_cl79
label values  co51 co51_cl80
label values  co52 co52_cl81
label values  co53 co53_cl82
label values  co54 co54_cl83
label values  co55 co55_cl84
label values  co56 co56_cl85
label values  co61 co61_cl86
label values  co62 co62_cl87
label values  co63 co63_cl88
label values  co64 co64_cl89
label values  co65 co65_cl90
label values  co66 co66_cl91
label values  co71 co71_cl92
label values  co72 co72_cl93
label values  co73 co73_cl94
label values  co74 co74_cl95
label values  co75 co75_cl96
label values  co76 co76_cl97
label values  co81 co81_cl98
label values  co82 co82_cl99
label values  co83 co83_cl100
label values  co84 co84_cl101
label values  co85 co85_cl102
label values  co86 co86_cl103
label values  sent sent_cl104
label values  sgrp sgrp_cl105
label values  ssup ssup_cl106
label values  scli scli_cl107
label values  scom scom_cl108
label values  suni suni_cl109
label values  sgmt sgmt_cl110
label values  spro spro_cl111
label values  sexb sexb_cl112
label values  hdlay hdlay_cl113
label values  hstar hstar_cl114
label values  hbur hbur_cl115
label values  hprior hprior_cl116
label values  hmar hmar_cl117
label values  himp himp_cl118
label values  heco heco_cl119
label values  hcos hcos_cl120
label values  hfin hfin_cl121
label values  horg horg_cl122
label values  hper hper_cl123
label values  htec htec_cl124
label values  hinf hinf_cl125
label values  hflex hflex_cl126
label values  hcus hcus_cl127
label values  paap paap_cl128
label values  paval paval_cl129
label values  proreg proreg_cl130
label values  protm protm_cl131
label values  procp procp_cl132
label values  prosec prosec_cl133
label values  prodes prodes_cl134
label values  protim protim_cl135
label values  actstr actstr_cl136
label values  actman actman_cl137
label values  actorg actorg_cl138
label values  actmar actmar_cl139
label values  actaes actaes_cl140
*/
save  ISTAT_MFR_CIS_Microdati_2000_ESEMPIO_STRUTTURA_FILE.dta, replace
